Bug 230593 - audio/musicpd: Fix OPENAL option when using lld as the default linker
Summary: audio/musicpd: Fix OPENAL option when using lld as the default linker
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-08-13 15:07 UTC by Tobias Kortkamp
Modified: 2018-08-19 17:15 UTC (History)
1 user (show)

See Also:
riggs: maintainer-feedback+


Attachments
musicpd.diff (434 bytes, patch)
2018-08-13 15:07 UTC, Tobias Kortkamp
no flags Details | Diff
musicpd.diff (486 bytes, patch)
2018-08-13 15:32 UTC, Tobias Kortkamp
tobik: maintainer-approval? (riggs)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2018-08-13 15:07:33 UTC
Created attachment 196157 [details]
musicpd.diff

/usr/bin/ld: error: cannot preempt symbol: alcGetString
>>> defined in /usr/local/lib/libopenal.so
>>> referenced by OpenALOutputPlugin.cxx
>>>               liboutput_plugins_a-OpenALOutputPlugin.o:(AudioOutputWrapper<OpenALOutput>::Init(ConfigBlock const&)) in archive liboutput_plugins.a
Comment 1 Tobias Kortkamp freebsd_committer 2018-08-13 15:32:20 UTC
Created attachment 196159 [details]
musicpd.diff
Comment 2 commit-hook freebsd_committer 2018-08-16 11:18:44 UTC
A commit references this bug:

Author: riggs
Date: Thu Aug 16 11:18:01 UTC 2018
New revision: 477320
URL: https://svnweb.freebsd.org/changeset/ports/477320

Log:
  Fix OPENAL option when using lld as the default linker

  While on it: Replace LIB_DEPENDS by USES for OPENAL

  PR:		230593
  Submitted by:	tobik

Changes:
  head/audio/musicpd/Makefile
Comment 3 Thomas Zander freebsd_committer 2018-08-16 11:35:38 UTC
Thank you!
Comment 4 commit-hook freebsd_committer 2018-08-19 17:15:31 UTC
A commit references this bug:

Author: riggs
Date: Sun Aug 19 17:15:24 UTC 2018
New revision: 477585
URL: https://svnweb.freebsd.org/changeset/ports/477585

Log:
  MFH: r477320 r477568

  Fix OPENAL option when using lld as the default linker

  While on it: Replace LIB_DEPENDS by USES for OPENAL

  PR:		230593
  Submitted by:	tobik

  Update to upstream version 0.20.21

  Details:
  - Upstream changelog see:
    https://raw.githubusercontent.com/MusicPlayerDaemon/MPD/v0.20.21/NEWS

  Approved by:	ports-secteam (riggs)

Changes:
_U  branches/2018Q3/
  branches/2018Q3/audio/musicpd/Makefile
  branches/2018Q3/audio/musicpd/distinfo